# Prerequisites
*.d

# Compiled Object files
*.slo
*.lo
*.o
*.obj

# Precompiled Headers
*.gch
*.pch

# Compiled Dynamic libraries
*.so
*.dylib
*.dll

# Fortran module files
*.mod
*.smod

# Compiled Static libraries
*.lai
*.la
*.a
*.lib

# Executables
*.exe
*.out
*.app
.DS_Store

# Customs
*.elf
*.hex
*.asm
*.hex32

fpga/femtorv_a7/
fpga/riscv_enssat_teacher
fpga/build/
soft/tools/riscv
soft/tools/firmware_words/firmware_words
firmware/

simu/work-obj08.cf
.vscode/settings.json
DATARAM.mem
PROGROM.mem

*.jou
*.log
fpga/.Xil
fpga/vivado_cmod_a7/vivado_cmod_a7.cache
fpga/vivado_cmod_a7/vivado_cmod_a7.hw
fpga/vivado_cmod_a7/vivado_cmod_a7.runs
fpga/vivado_cmod_a7/vivado_cmod_a7.srcs
fpga/vivado_nexys_a7/vivado_nexys_a7.hw
fpga/vivado_nexys_a7/vivado_nexys_a7.runs
*.str
fpga/vivado_nexys_a7/vivado_nexys_a7.cache
fpga/vivado_nexys_a7/vivado_nexys_a7.ip_user_files
fpga/vivado_nexys_a7/vivado_nexys_a7.srcs
